
<div class="container">
  <div class="content">
    <div class="header"><img class="logo" src="assets/budgy_budget_logo.png" alt="Budgy Budget Logo"/></div>
    <div class="body">
      <p>What type of service do you need?</p>
      <select (change)="setService($event)">
        <option *ngFor="let service of services" [value]="service.name" [attr.selected]="(service.name == budget_model.category_name) ? '' : null">{{ service.display_name }}</option>
      </select>
      <p>What's the service about?</p>
      <select (change)="setArea($event)">
        <option *ngFor="let area of selected_service.area" [value]="area.name" [attr.selected]="(area.name == budget_model.area_name) ? '' : null">{{ area.display_name }}</option>
      </select>
      <p>Choose a budget range <small>(orientative)</small></p>
      <div class="custome-slider" [formGroup]="sliderForm">
        <ng5-slider [value]="slider_min_value" [highValue]="slider_max_value" [options]="slider_options" formControlName="sliderControl"></ng5-slider>
      </div>
    </div>
  </div>
  <div class="footer"><a (click)="saveForm()" [routerLink]="['/step-two']" mat-raised-button="mat-raised-button"><span><img src="assets/euro.png" alt="euro" style="vertical-align:middle;margin-right:10px;"/></span><span style="font-size:1.2em">Get my budgy</span></a></div>
</div>